cache_mgr qiushuhui1989@126.com
dns_nameservers 223.5.5.5 223.6.6.6
visible_hostname squid.sg.cn

cache_mem 128 MB
cache_effective_user squid
cache_effective_group squid
http_reply_access allow all
icp_access allow all
acl head src 192.168.109.251/32
http_access allow head

http_port 3128

#第三方mysql_auth
auth_param basic program /usr/local/squid/libexec/mysql_auth
#自带mysql 认证
#auth_param basic program /usr/local/squid/libexec/basic_db_auth --user squid --password squid --plaintext --persist
auth_param basic children 5
auth_param basic realm web_proxy
auth_param basic credentialsttl 1 minute
auth_param basic casesensitive off


acl FOO max_user_ip 1
acl know_cli proxy_auth REQUIRED
http_access allow FOO
http_access allow know_cli
http_access deny all



#################### Log setting ###############
#logfile_rotate 5
